/* blu  */
.smartsim-marker-cluster-typeCluster-blu {
	background-color: rgba(140, 191, 226, 0.6);
	}
.smartsim-marker-cluster-typeCluster-blu div {
	background-color: rgba(57, 84, 204, 0.6);
    }

/* severity 1 OK, RECOVERY */
.smartsim-marker-cluster-typeCluster-green {
	background-color: rgba(181, 226, 140, 0.6);
	}
.smartsim-marker-cluster-typeCluster-green div {
	background-color: rgba(110, 204, 57, 0.6);
    }


/* severity 4 WARNING */
.smartsim-marker-cluster-typeCluster-yellow {
	background-color: rgba(241, 211, 87, 0.6);
	}
.smartsim-marker-cluster-typeCluster-yellow div {
	background-color: rgba(240, 194, 12, 0.6);
	}

/* severity 5 CRITICAL, HOSTDOWN, UNREACHABLE */
.smartsim-marker-cluster-typeCluster-red {
	background-color: rgba(253, 120, 115, 0.6);
	}
.smartsim-marker-cluster-typeCluster-red div {
	background-color: rgba(241, 23, 23, 0.6);
	}

	/* IE 6-8 fallback colors */
.leaflet-oldie .smartsim-marker-cluster-typeCluster-green {
	background-color: rgb(181, 226, 140);
	}
.leaflet-oldie .smartsim-marker-cluster-typeCluster-green div {
	background-color: rgb(110, 204, 57);
    }

.leaflet-oldie .smartsim-marker-cluster-typeCluster-yellow {
	background-color: rgb(241, 211, 87);
	}
.leaflet-oldie .smartsim-marker-cluster-typeCluster-yellow div {
	background-color: rgb(240, 194, 12);
	}

.leaflet-oldie .smartsim-marker-cluster-typeCluster-red {
	background-color: rgba(253, 120, 115, 0.6);
	}
.leaflet-oldie .smartsim-marker-cluster-typeCluster-red div {
	background-color: rgba(241, 23, 23, 0.6);
}

.smartsim-marker-cluster {
	background-clip: padding-box;
	border-radius: 20px;
	}
.smartsim-marker-cluster div {
	width: 30px;
	height: 30px;
	margin-left: 5px;
	margin-top: 5px;

	text-align: center;
	border-radius: 15px;
	font: 12px "Helvetica Neue", Arial, Helvetica, sans-serif;
	}
.smartsim-marker-cluster span {
	line-height: 30px;
    }

.poi_visibility_label {
    float:left;
    font-size:12px;
    padding-top:5px;
}
.poi_visibility_group {
    padding-bottom:30px;
}
.poi_visibility_group .bootstrap-switch {
    float:right;
}

.boroughs {
    fill: rgb(222,235,247);
    stroke: #000;
    stroke-width: 0.5px;
}
.tooltip {
    position: absolute;
    font-size: 12px;
    width:  auto;
    height: auto;
    pointer-events: none;
    background-color: white;
}
.circle-hover {
    stroke: #000;
    stroke-width: 1px;
}


.subunit { fill: #ddc; }


.subunit-boundary {
    fill: none;
    stroke: #777;
    stroke-dasharray: 2,2;
    stroke-linejoin: round;
  }

  .subunit-boundary.islands {
    stroke: #aaa;
  }

  .tooltip {
      padding: 10px;
      border-radius: 7px;
      -webkit-box-shadow: 0px 0px 15px -1px #A6A6A6;
        box-shadow: 0px 0px 15px -1px #A6A6A6;
  }


  .tooltip ul {
    padding:0px;
    margin:0px;
}

  .tooltip ul li {
    margin-left: 10px;
  }

  .poi_opacity {
      opacity: 0.6;
  }

  .inner_area_geomap  {
      height: 400px;
  }

  #dashboard.form-control.form-control-solid, #dashboard.form-select.form-select-solid {
	border-width: 1px;
	border-style: solid;
	border-color: #cccccc;
}

table.dashboard_table  {
    font-size:11px;
}

table.dashboard_table tr th {
    font-weight: bold;
    color:#006699;
}

.widget_loading {
    display:none;
}

.widget_placeholder {
    display:none;
}

#toastr-container > div {
    opacity:1 !important;
}

.toastr_widget {
    position:relative;
}
.toastr_absolute{
    position: absolute !important;
}

div.tooltip {
    position: absolute;
}

text.legend_text {
    font-size:11px;
}

rect.legend_gradient {
    stroke:rgb(79, 79, 79);
    stroke-width: 1px;
}
#pdf_loader {
    margin: 0 auto;
}

.loader {
    border: 8px solid #f3f3f3; /* Light grey */
    border-top: 8px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 2s linear infinite;
  }

  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }

  .chart_type_pie {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
  }

  .hide {
    display:none;
  }